Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class DNAAlphabet.DNAAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.Alphabet.AlphabetParameterSet
                  de.jstacs.data.alphabets.DiscreteAlphabet.DiscreteAlphabetParameterSet
                      de.jstacs.data.alphabets.DNAAlphabet.DNAAlphabetParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Enclosing class:
  DNAAlphabet

    public static final class DNAAlphabet.DNAAlphabetParameterSet

extends DiscreteAlphabet.DiscreteAlphabetParameterSet

The parameter set for a `DNAAlphabet`.

Author:
  Jan Grau, Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`DNAAlphabet.DNAAlphabetParameterSet()` Creates a new `DNAAlphabet.DNAAlphabetParameterSet`.
`DNAAlphabet.DNAAlphabetParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable` .

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.data.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNAAlphabet.DNAAlphabetParameterSet

    public DNAAlphabet.DNAAlphabetParameterSet()
                                        throws Exception

  Creates a new `DNAAlphabet.DNAAlphabetParameterSet`.

  Throws:
    `Exception` - if an error occurred
  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(Class)`

### DNAAlphabet.DNAAlphabetParameterSet

    public DNAAlphabet.DNAAlphabetParameterSet(StringBuffer representation)
                                        throws NonParsableException

  The standard constructor for the interface `Storable` . Creates a new `DNAAlphabet.DNAAlphabetParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `DNAAlphabet.DNAAlphabetParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(StringBuffer)`, `Storable`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `DiscreteAlphabet.DiscreteAlphabetParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Overrides:
    `getInstanceComment` in class `DiscreteAlphabet.DiscreteAlphabetParameterSet`
  Returns:
    the comment of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD